export class BaseUtils {
  public static unixTimestampToLocalTime13D(unixTimestamp: string, timezone: string | undefined) {
    if (unixTimestamp == null || unixTimestamp == undefined) return;

    if (timezone == undefined) timezone = 'GMT';

    let date = new Date(+unixTimestamp);

    return date.toISOString().slice(0, -5).replace(/T/, '_') + ' ' + timezone;
  }

  public static unixTimestampToLocalTime10D(unixTimestamp: string, timezone: string | undefined) {
    if (unixTimestamp == null || unixTimestamp == undefined) return;

    if (timezone == undefined) timezone = 'GMT';

    let date = new Date(+unixTimestamp * 1000);

    return date.toISOString().slice(0, -5).replace(/T/, '_') + ' ' + timezone;
  }
}

// =========================== ERROR VALUES ==============================

export const NO_VALUE = -999999;
